-- 20230724 - 畅玉春 - SAAS添加租户id
ALTER TABLE visual_subscribe MODIFY COLUMN tenant_id varchar(12) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL COMMENT '租户id';
ALTER TABLE visual_subscribe_operate_log ADD tenant_id varchar(12) NULL COMMENT '租户id';
ALTER TABLE visual_subscribe_notify_conf MODIFY COLUMN tenant_id varchar(12) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL COMMENT '租户id';
ALTER TABLE visual_subscribe_push_log ADD tenant_id varchar(12) NULL COMMENT '租户id';
ALTER TABLE visual_login_free_link ADD tenant_id varchar(12) NULL COMMENT '租户id';
ALTER TABLE visual_warning ADD tenant_id varchar(12) NULL COMMENT '租户id';
ALTER TABLE visual_warning_record ADD tenant_id varchar(12) NULL COMMENT '租户id';
ALTER TABLE visual_classify ADD tenant_id varchar(12) NULL COMMENT '租户id';

-- 20230725 - 畅玉春 - 移动应用模块
ALTER TABLE micro_app ADD tenant_id varchar(12) NULL COMMENT '租户id';
ALTER TABLE micro_app_data_permission ADD tenant_id varchar(12) NULL COMMENT '租户id';
ALTER TABLE micro_app_menu ADD tenant_id varchar(12) NULL COMMENT '租户id';
ALTER TABLE micro_app_role ADD tenant_id varchar(12) NULL COMMENT '租户id';
ALTER TABLE micro_app_shortcut_menu ADD tenant_id varchar(12) NULL COMMENT '租户id';


-- [表单模块] 畅玉春 20230728 添加关联数据JSON
ALTER TABLE base_visualdev ADD relation_data longtext NULL COMMENT '关联数据JSON';
ALTER TABLE base_visualdev ADD tenant_id varchar(12) NULL COMMENT '租户id';
ALTER TABLE base_dictionarydata ADD tenant_id varchar(12) NULL COMMENT '租户id';
ALTER TABLE base_dictionarytype ADD tenant_id varchar(12) NULL COMMENT '租户id';
ALTER TABLE blade_message ADD tenant_id varchar(12) NULL COMMENT '租户id';
ALTER TABLE base_visualdev_export_task ADD current_page  int(11) DEFAULT NULL COMMENT '当前页';


-- 素材分类表添加租户id
alter table blade_material_category add column tenant_id varchar(12) default null comment '租户id';
-- 素材表添加租户id
alter table blade_material add column tenant_id varchar(12) default null comment '租户id';
-- 接口权限
alter table blade_scope_api add column tenant_id varchar(12) default null comment '租户id';
-- 应用管理
alter table blade_client add column tenant_id varchar(12) default null comment '租户id';
-- 消息提醒
alter table blade_message add column tenant_id varchar(12) default null comment '租户id';
-- 短信配置表
alter table blade_sms add column tenant_id varchar(12) default null comment '租户id';
-- 权限组分类
alter table data_permission_type add column tenant_id varchar(12) default null comment '租户id';
-- 菜单点击记录表 user_click_menu_record
alter table user_click_menu_record add column tenant_id varchar(12) default null comment '租户id';
-- 自定义函数
alter table cube_datasource_function add column tenant_id varchar(12) default null comment '租户id';
-- 大屏
alter table visual_data add column tenant_id varchar(12) default null comment '租户id';
-- 大屏分类
alter table visual_classify add column tenant_id varchar(12) default null comment '租户id';
-- 大屏收藏分类
alter table visual_classify_favourite add column tenant_id varchar(12) default null comment '租户id';
-- 数据集
alter table cube_data add column tenant_id varchar(12) default null comment '租户id';
-- 数据源
alter table report_datasource add column tenant_id varchar(12) default null comment '租户id';
-- 自定义组件
alter table visual_component_define add column tenant_id varchar(12) default null comment '租户id';
-- 任务清单组件导出
alter table visual_component_export add column tenant_id varchar(12) default null comment '租户id';
-- 自定义iframe组件上传记录表
alter table visual_external_link_info add column tenant_id varchar(12) default null comment '租户id';
-- 幻灯片归档分类
alter table visual_power_classify_archiving add column tenant_id varchar(12) default null comment '租户id';
-- 幻灯片我的收藏分类
alter table visual_power_classify_favourite add column tenant_id varchar(12) default null comment '租户id';
-- 幻灯片分类
alter table visual_power_point_category add column tenant_id varchar(12) default null comment '租户id';
-- 幻灯片
alter table visual_power_point_info add column tenant_id varchar(12) default null comment '租户id';
-- 我的收藏自主报表分类表
alter table visual_report_category_favourite add column tenant_id varchar(12) default null comment '租户id';
-- 报告文件夹
alter table visual_report_folder add column tenant_id varchar(12) default null comment '租户id';
-- 报告
alter table visual_report_info add column tenant_id varchar(12) default null comment '租户id';
-- 自主报表分类
alter table visual_self_report_category add column tenant_id varchar(12) default null comment '租户id';
-- 数据集_表结构
alter table cube_table_column add column tenant_id varchar(12) default null comment '租户id';
-- 数据集全局参数
alter table cube_table_column add column tenant_id varchar(12) default null comment '租户id';
-- 数据集全局参数类型
alter table cube_global_param_type add column tenant_id varchar(12) default null comment '租户id';
-- 数据集_SQL视图
alter table cube_sql_view add column tenant_id varchar(12) default null comment '租户id';
-- 文件表
alter table cube_table_file add column tenant_id varchar(12) default null comment '租户id';
-- 数据集工作空间
alter table cube_workspace add column tenant_id varchar(12) default null comment '租户id';
-- 数据api分类
alter table data_api_category add column tenant_id varchar(12) default null comment '租户id';
-- 数据接口
alter table data_api add column tenant_id varchar(12) default null comment '租户id';
-- 报表维度
alter table report_dimension add column tenant_id varchar(12) default null comment '租户id';
-- 报表维度
alter table history_report_folder add column tenant_id varchar(12) default null comment '租户id';
-- 报表指标分类
alter table report_index_category add column tenant_id varchar(12) default null comment '租户id';
-- 报表指标信息
alter table report_index_info add column tenant_id varchar(12) default null comment '租户id';
-- 报表
alter table report add column tenant_id varchar(12) default null comment '租户id';
-- 表分类
alter table report_table_category add column tenant_id varchar(12) default null comment '租户id';
-- 表和分类关联表
alter table report_table_category_relation add column tenant_id varchar(12) default null comment '租户id';
-- 自定义人群
alter table cube_define_group add column tenant_id varchar(12) default null comment '租户id';
-- 自定义人群
alter table cube_group_classify add column tenant_id varchar(12) default null comment '租户id';
-- 模板分类表
alter table blade_visual_category add column tenant_id varchar(12) default null comment '租户id';
-- 模板组件详情
alter table blade_visual_config add column tenant_id varchar(12) default null comment '租户id';
-- 模板组件详情
alter table blade_visual add column tenant_id varchar(12) default null comment '租户id';
-- 模板组件详情
alter table blade_visual_map add column tenant_id varchar(12) default null comment '租户id';
-- 模板组件详情
alter table blade_scope_data add column tenant_id varchar(12) default null comment '租户id';

ALTER TABLE digital_operation.base_visualdev ADD logic_data longtext NULL COMMENT '逻辑数据';


-- 事件
alter table event add column tenant_id varchar(12) default null comment '租户id';
-- 项目
alter table project add column tenant_id varchar(12) default null comment '租户id';

-- 属性
alter table prop add column tenant_id varchar(12) default null comment '租户id';

-- 用户画像-埋点用户属性
alter table pson_user_attr add column tenant_id varchar(12) default null comment '租户id';

-- 人群短信任务
alter table ads_market_task_info add column tenant_id varchar(12) default null comment '租户id';

-- 短信模板
alter table ads_market_sms_template add column tenant_id varchar(12) default null comment '租户id';

-- 用户画像-行为分析-工作薄
alter table ads_userprofile_analysis_book add column tenant_id varchar(12) default null comment '租户id';

-- 属性过滤列表下拉菜单
alter table ads_property_filter add column tenant_id varchar(12) default null comment '租户id';

-- 属性选择下拉菜单
alter table ads_property_list add column tenant_id varchar(12) default null comment '租户id';

-- 标签表
alter table ads_userprofile_tag add column tenant_id varchar(12) default null comment '租户id';

-- 标签对应的产品表
alter table dim_product_info add column tenant_id varchar(12) default null comment '租户id';

-- 用户人群规则表
alter table ads_userprofile_usergroup add column tenant_id varchar(12) default null comment '租户id';

-- 人群分析异步入库log日志
alter table usergroup_asyncdata_log add column tenant_id varchar(12) default null comment '租户id';

-- 人群分析异步入库log日志
alter table usergroup_asyncdata_log_dev add column tenant_id varchar(12) default null comment '租户id';

-- 用户手机号导入记录
alter table ads_user_excel_import_log add column tenant_id varchar(12) default null comment '租户id';

-- 用户信息导出记录表
alter table ads_userprofile_excel_log add column tenant_id varchar(12) default null comment '租户id';

alter table cube_data add column is_edit int default 1 comment '是否可以被编辑 0：不可以，1：可以';
alter table visual_data add column is_edit int default 1 comment '是否可以被编辑 0：不可以，1：可以';

-- 表单函数库
CREATE TABLE `base_visualdev_function` (
  `func_id` int NOT NULL AUTO_INCREMENT,
  `name` varchar(20) NOT NULL COMMENT '函数名',
  `method` varchar(50) NOT NULL COMMENT '函数方法',
  `description` text DEFAULT NULL COMMENT '函数描述',
  `example` varchar(100) DEFAULT NULL COMMENT '示例',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `sort_num` int NOT NULL DEFAULT '0' COMMENT '排序号(越大排序越靠前)',
  `func_type` tinyint NOT NULL DEFAULT '0' COMMENT '函数类型(0-数据库自带函数,1-自定义解析函数)',
  `func_sql` varchar(1000) DEFAULT NULL COMMENT '自定义函数sql片段',
  `func_attr` tinyint DEFAULT NULL COMMENT '0-聚合函数\n1-统计函数\n2-日期和时间\n3-字符串函数\n4-逻辑函数\n5-数值函数\n6-数组函数\n7-自定义函数\n99-其他',
  `method_name` varchar(50) DEFAULT NULL COMMENT '函数名称',
  `sub_query_status` tinyint NOT NULL DEFAULT '0' COMMENT '是否包含子查询(1-是/0-否)',
  `tenant_id` varchar(12) DEFAULT NULL COMMENT '租户id',
  PRIMARY KEY (`func_id`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='表单函数库';


ALTER TABLE digital_operation.visual_subscribe MODIFY COLUMN trigger_hour tinyint(4) DEFAULT 0 NOT NULL COMMENT '触发时间小时数';
ALTER TABLE digital_operation.visual_subscribe ADD begin_trigger_hour tinyint(4) NULL COMMENT '开始触发的时间(triggerPeriod=hour有效)';
ALTER TABLE digital_operation.visual_subscribe ADD end_trigger_hour tinyint(4) NULL COMMENT '结束触发的时间(triggerPeriod=hour有效)';
ALTER TABLE digital_operation.visual_subscribe ADD period int(11) NULL COMMENT '间隔(triggerPeriod=hour有效)';
ALTER TABLE digital_operation.data_api ADD is_page tinyint(4) DEFAULT 0 NOT NULL COMMENT '是否分页';
ALTER TABLE digital_operation.data_api ADD page_size tinyint(4) NULL COMMENT '分页数量';

